/**
 * =========================================
 * LibFormula : a free Java formula library
 * =========================================
 *
 * Project Info:  http://reporting.pentaho.org/libformula/
 *
 * (C) Copyright 2006-2008, by Pentaho Corporation and Contributors.
 *
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation;
 * either version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
 * in the United States and other countries.]
 *
 *
 * ------------
 * AnyType.java
 * ------------
 */
package org.pentaho.reporting.libraries.formula.typing.coretypes;

import org.pentaho.reporting.libraries.formula.typing.DefaultType;
import org.pentaho.reporting.libraries.formula.typing.Type;

/**
 * Creation-Date: 02.11.2006, 09:37:54
 *
 * @author Thomas Morgner
 */
public final class AnyType extends DefaultType
{
  public static final AnyType TYPE;
  public static final AnyType ANY_ARRAY;
  public static final AnyType ANY_SEQUENCE;
  private static final long serialVersionUID = 5871721530497016577L;

  static
  {
    TYPE = new AnyType();
    TYPE.addFlag(Type.SCALAR_TYPE);
    TYPE.lock();

    ANY_ARRAY = new AnyType();
    ANY_ARRAY.addFlag(Type.ARRAY_TYPE);
    ANY_ARRAY.lock();

    ANY_SEQUENCE = new AnyType();
    ANY_SEQUENCE.addFlag(Type.SEQUENCE_TYPE);
    ANY_SEQUENCE.lock();
  }

  private AnyType()
  {
    addFlag(Type.ANY_TYPE);
  }
}
